%define anolis_release 3
%bcond_without tests

Name:           libuv
Epoch:          1
Version:        1.44.2
Release:        %{anolis_release}%{?dist}
Summary:        Platform layer for node.js
License:        MIT and BSD and ISC
URL:            http://libuv.org/
Source0:        http://dist.libuv.org/dist/v%{version}/libuv-v%{version}.tar.gz
Source1:        libuv.abignore
#https://github.com/libuv/libuv/commit/0f2d7e784a256b54b2385043438848047bc2a629
#https://github.com/libuv/libuv/commit/3530bcc30350d4a6ccf35d2f7b33e23292b9de70
#https://github.com/libuv/libuv/commit/c858a147643de38a09dd4164758ae5b685f2b488
#https://github.com/libuv/libuv/commit/e0327e1d508b8207c9150b6e582f0adf26213c39
Patch0001:	0001-fix-CVE-2024-24806.patch

BuildRequires:  make gcc autoconf automake libtool

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all platform
differences in this library.

%package devel
Summary:        Development libraries for libuv
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description devel
Development libraries for libuv

%package static
Summary:        Platform layer for node.js - static library
Requires:       %{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static library (.a) version of libuv.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-v%{version} 

%build
./autogen.sh
%configure --disable-silent-rules
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libuv.la

mkdir -p %{buildroot}%{_libdir}/libuv/
install -Dm0644 -t %{buildroot}%{_libdir}/libuv/ %{SOURCE1}

%generate_compatibility_deps

%check
%if %{with tests}
%make_build check
%endif

%ldconfig_scriptlets

%files
%dir %{abidir}
%license LICENSE
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.1.0.0
%{abidir}/%{name}.dump
%{_libdir}/libuv/libuv.abignore

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/uv.h
%{_includedir}/uv/

%files static
%{_libdir}/%{name}.a

%files doc
%doc ChangeLog SUPPORTED_PLATFORMS.md MAINTAINERS.md CONTRIBUTING.md AUTHORS README.md

%changelog
* Fri Aug 09 2024 Kaiqiang Wang <wangkaiqiang@ieisytem.com> - 1:1.44.2-3
- fix CVE-2024-24806

* Thu Apr 13 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1:1.44.2-2
- Optimise spec file

* Wed Mar 1 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1:1.44.2-1
- Update to v1.44.2

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.44.0-2
- optimise spec file & add doc package

* Wed Mar 09 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> 1:1.44.0-1
- Init from upstream v1.44.0
